security: default ownership and permissions

Bug #1859422 reported by James Page on 2020-01-13
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
aodh (Ubuntu)
Medium
Unassigned
barbican (Ubuntu)
Medium
Unassigned
cinder (Ubuntu)
Medium
Unassigned
designate (Ubuntu)
Medium
Unassigned
glance (Ubuntu)
Medium
Unassigned
gnocchi (Ubuntu)
Medium
Unassigned
heat (Ubuntu)
Medium
Unassigned
ironic (Ubuntu)
Medium
Unassigned
ironic-inspector (Ubuntu)
Medium
Unassigned
keystone (Ubuntu)
Medium
Unassigned
magnum (Ubuntu)
Medium
Unassigned
manila (Ubuntu)
Medium
Unassigned
masakari (Ubuntu)
Medium
Unassigned
masakari-monitors (Ubuntu)
Medium
Unassigned
mistral (Ubuntu)
Medium
Unassigned
murano (Ubuntu)
Medium
Unassigned
murano-agent (Ubuntu)
Medium
Unassigned
neutron (Ubuntu)
Medium
Unassigned
nova (Ubuntu)
Medium
Unassigned
octavia (Ubuntu)
Medium
Unassigned
openstack-trove (Ubuntu)
Medium
Unassigned
placement (Ubuntu)
Medium
Unassigned
Focal
Undecided
Unassigned
python-glance-store (Ubuntu)
Medium
Unassigned
sahara (Ubuntu)
Medium
Unassigned
senlin (Ubuntu)
Medium
Unassigned
swift (Ubuntu)
Medium
Unassigned
watcher (Ubuntu)
Medium
Unassigned
zaqar (Ubuntu)
Undecided
Unassigned
zvmcloudconnector (Ubuntu)
Medium
Unassigned

Bug Description

[Impact]
Package should security directories and files as below:

  chown <pkg>:adm /var/log/<pkg>
  chmod 0750 /var/log/<pkg>

  find /etc/<pkg> -exec chown root:<pkg> "{}" +
  find /etc/<pkg> -type f -exec chmod 0640 "{}" + -o -type d -exec chmod 0750 "{}" +

  # Optional rootwrap.d configuration files.
  find /etc/<pkg>/rootwrap.d -exec chown root:root "{}" +
  find /etc/<pkg>/rootwrap.d -type f -exec chmod 0644 "{}" + -o -type d -exec chmod 0755 "{}" +

  find /var/lib/<pkg> -exec chown <pkg>:<pkg> "{}" +
  find /var/lib/<pkg> -type f -exec chmod 0640 "{}" + -o -type d -exec chmod 0750 "{}" +

For keystone, /etc/ files/directories should be owned by keystone:keystone: https://docs.openstack.org/security-guide/identity/checklist.html

[Test Case]
Regression testing via juju deployed openstack + tempest or autopkgtests for uncharmed projects.

[Regression Potential]
Low, the same pattern has been used across all affected openstack packages. The changes landed in focal-proposed packages earlier in the cycle for OpenStack and has received a lot of testing.

James Page (james-page) on 2020-01-13
Changed in aodh (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in barbican (Ubuntu):
status: New → Confirmed
status: Confirmed → Triaged
importance: Undecided → Medium
description: updated
description: updated
James Page (james-page) on 2020-01-13
Changed in cinder (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in designate (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in glance (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in gnocchi (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
James Page (james-page) wrote :

Latest version of CIS benchmark allows /usr/sbin/nologin or /bin/false for system user account shell configuration so dropping this requirement in this bug.

Changed in heat (Ubuntu):
status: New → Triaged
Changed in ironic (Ubuntu):
status: New → Triaged
Changed in keystone (Ubuntu):
status: New → Triaged
Changed in manila (Ubuntu):
status: New → Triaged
Changed in masakari (Ubuntu):
status: New → Triaged
Changed in mistral (Ubuntu):
status: New → Triaged
Changed in neutron (Ubuntu):
status: New → Triaged
Changed in nova (Ubuntu):
status: New → Triaged
Changed in octavia (Ubuntu):
status: New → Triaged
Changed in openstack-trove (Ubuntu):
status: New → Triaged
Changed in placement (Ubuntu):
status: New → Triaged
Changed in sahara (Ubuntu):
status: New → Triaged
Changed in senlin (Ubuntu):
status: New → Triaged
Changed in swift (Ubuntu):
status: New → Triaged
Changed in watcher (Ubuntu):
status: New → Triaged
Changed in heat (Ubuntu):
importance: Undecided → Medium
Changed in ironic (Ubuntu):
importance: Undecided → Medium
Changed in keystone (Ubuntu):
importance: Undecided → Medium
Changed in manila (Ubuntu):
importance: Undecided → Medium
Changed in masakari (Ubuntu):
importance: Undecided → Medium
Changed in mistral (Ubuntu):
importance: Undecided → Medium
Changed in neutron (Ubuntu):
importance: Undecided → Medium
Changed in nova (Ubuntu):
importance: Undecided → Medium
Changed in octavia (Ubuntu):
importance: Undecided → Medium
Changed in openstack-trove (Ubuntu):
importance: Undecided → Medium
Changed in placement (Ubuntu):
importance: Undecided → Medium
Changed in sahara (Ubuntu):
importance: Undecided → Medium
Changed in senlin (Ubuntu):
importance: Undecided → Medium
Changed in swift (Ubuntu):
importance: Undecided → Medium
Changed in watcher (Ubuntu):
importance: Undecided → Medium
description: updated
description: updated
James Page (james-page) on 2020-03-25
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 2:16.0.0~b3~git2020032420.a0e1b5804e-0ubuntu2

---------------
neutron (2:16.0.0~b3~git2020032420.a0e1b5804e-0ubuntu2) focal; urgency=medium

  * d/neutron-common.postinst: Refactor for standardised permissions for /etc,
    /var/log and /var/lib (LP: #1859422).

 -- James Page <email address hidden> Wed, 25 Mar 2020 15:12:36 +0000

Changed in neutron (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ironic - 1:14.0.1~git2020032415.de2d907fc-0ubuntu1

---------------
ironic (1:14.0.1~git2020032415.de2d907fc-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/ironic-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <email address hidden> Tue, 24 Mar 2020 15:12:51 -0400

Changed in ironic (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 2:17.0.0~b3~git2020032415.9f9040257-0ubuntu1

---------------
keystone (2:17.0.0~b3~git2020032415.9f9040257-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-version-info.patch: Rebased.
  * d/keystone*.{pre*|post*}: Consolidate and move to keystone-common.postinst,
    do work when called with configure (aligns with other openstack packages),
    and set default ownership/permissions for /etc/<pkg>, /var/lib/<pkg>, and
    /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <email address hidden> Tue, 24 Mar 2020 15:02:12 -0400

Changed in keystone (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aodh - 10.0.0~b3~git2020032411.ed802044-0ubuntu1

---------------
aodh (10.0.0~b3~git2020032411.ed802044-0ubuntu1) focal; urgency=medium

  * d/aodh-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).
  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <email address hidden> Tue, 24 Mar 2020 11:48:22 -0400

Changed in aodh (Ubuntu):
status: Triaged → Fix Released
Changed in python-glance-store (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 1:14.0.0~b3~git2020032414.d8354d908-0ubuntu1

---------------
heat (1:14.0.0~b3~git2020032414.d8354d908-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/heat-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <email address hidden> Tue, 24 Mar 2020 14:51:59 -0400

Changed in heat (Ubuntu):
status: Triaged → Fix Released
no longer affects: python-glance-store (Ubuntu)
Changed in python-glance-store (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package placement - 3.0.0~b3~git2020032615.971c7aa7-0ubuntu1

---------------
placement (3.0.0~b3~git2020032615.971c7aa7-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/placement.postinst: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <email address hidden> Thu, 26 Mar 2020 12:31:21 +0000

Changed in placement (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openstack-trove - 1:13.0.0~b3~git2020032626.3cdcfac3-0ubuntu1

---------------
openstack-trove (1:13.0.0~b3~git2020032626.3cdcfac3-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/p/*: Refresh.
  * d/*: wrap-and-sort -bast.
  * d/trove-common.postinst.in: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <email address hidden> Thu, 26 Mar 2020 12:27:54 +0000

Changed in openstack-trove (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in zaqar (Ubuntu):
status: New → Confirmed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package watcher - 1:4.0.0~b3~git2020032633.c17e96d3-0ubuntu1

---------------
watcher (1:4.0.0~b3~git2020032633.c17e96d3-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/watcher-common.postinst: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <email address hidden> Thu, 26 Mar 2020 13:00:37 +0000

Changed in watcher (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package designate - 1:10.0.0~b3~git2020032414.dd359ba3-0ubuntu1

---------------
designate (1:10.0.0~b3~git2020032414.dd359ba3-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-test.patch: Dropped. No longer needed (LP: #1863936).
  * d/designate-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <email address hidden> Tue, 24 Mar 2020 14:48:35 -0400

Changed in designate (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package barbican - 1:10.0.0~b2~git2020020508.7b14d983-0ubuntu2

---------------
barbican (1:10.0.0~b2~git2020020508.7b14d983-0ubuntu2) focal; urgency=medium

  * d/barbican-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <email address hidden> Wed, 25 Mar 2020 14:53:42 -0400

Changed in barbican (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zaqar - 10.0.0~b3~git2020032614.22c457a5-0ubuntu1

---------------
zaqar (10.0.0~b3~git2020032614.22c457a5-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/zaqar-common.postinst: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <email address hidden> Thu, 26 Mar 2020 14:43:20 +0000

Changed in zaqar (Ubuntu):
status: Confirmed → Fix Released
Changed in masakari-monitors (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in murano (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in murano-agent (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sahara - 1:12.0.0~b3~git2020032616.0825bdde-0ubuntu1

---------------
sahara (1:12.0.0~b3~git2020032616.0825bdde-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/sahara-common.postinst.in: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <email address hidden> Thu, 26 Mar 2020 16:50:12 +0000

Changed in sahara (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package masakari-monitors - 9.0.0~b3~git2020032614.8711c07-0ubuntu1

---------------
masakari-monitors (9.0.0~b3~git2020032614.8711c07-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/masakari-monitors-common.postinst: Set default ownership and permissions
    for /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <email address hidden> Thu, 26 Mar 2020 14:31:03 -0400

Changed in masakari-monitors (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mistral - 10.0.0~b3~git2020032611.8a5d35ac-0ubuntu1

---------------
mistral (10.0.0~b3~git2020032611.8a5d35ac-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/mistral-common.postinst.in: Set default ownership and permissions
    for /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).
  * d/p/skip-test.patch: Dropped. No longer needed.

 -- Corey Bryant <email address hidden> Thu, 26 Mar 2020 11:34:22 -0400

Changed in mistral (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package murano - 1:9.0.0~b2~git2020020609.25ebd01d-0ubuntu2

---------------
murano (1:9.0.0~b2~git2020020609.25ebd01d-0ubuntu2) focal; urgency=medium

  * d/murano-common.postinst.in: Set default ownership and permissions
    for /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <email address hidden> Thu, 26 Mar 2020 14:43:49 -0400

Changed in murano (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package manila - 1:10.0.0~b3~git2020032516.cb016333-0ubuntu1

---------------
manila (1:10.0.0~b3~git2020032516.cb016333-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/manila-common.postinst.in: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <email address hidden> Wed, 25 Mar 2020 16:14:52 -0400

Changed in manila (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-glance-store - 1.1.0-0ubuntu3

---------------
python-glance-store (1.1.0-0ubuntu3) focal; urgency=medium

  * d/python3-glance-store.install: Fix installation of /etc/glance.
  * d/python3-glance-store.postinst: Added since glance-store installs to
    /etc/glance/rootwrap.d. Set default ownership and permissions for
    /etc/<pkg> (LP: #1859422).

 -- Corey Bryant <email address hidden> Thu, 26 Mar 2020 09:33:55 -0400

Changed in python-glance-store (Ubuntu):
status: Triaged → Fix Released
Changed in magnum (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in ironic-inspector (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package masakari - 9.0.0~b3~git2020032617.953e1d8-0ubuntu1

---------------
masakari (9.0.0~b3~git2020032617.953e1d8-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/masakari-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).
  * d/p/drop-sqla-utils.patch: Dropped. No longer needed.
  * d/p/python3.8-compat.patch: Rebased.

 -- Corey Bryant <email address hidden> Thu, 26 Mar 2020 17:04:07 -0400

Changed in masakari (Ubuntu):
status: Triaged → Fix Released
Changed in zvmcloudconnector (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package magnum - 10.0.0~b3~git2020032617.ce70da25-0ubuntu1

---------------
magnum (10.0.0~b3~git2020032617.ce70da25-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/magnum-common.postinst.in: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <email address hidden> Thu, 26 Mar 2020 17:03:20 -0400

Changed in magnum (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnocchi - 4.3.4-0ubuntu5

---------------
gnocchi (4.3.4-0ubuntu5) focal; urgency=medium

  * d/gnocchi-common.postinst.in: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <email address hidden> Fri, 27 Mar 2020 16:13:20 +0000

Changed in gnocchi (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package swift - 2.24.1~git2020032711.712bf3c9f-0ubuntu2

---------------
swift (2.24.1~git2020032711.712bf3c9f-0ubuntu2) focal; urgency=medium

  * d/control, d/rules: Move installation of /etc/swift/ files to
    python3-swift package.

 -- Corey Bryant <email address hidden> Mon, 30 Mar 2020 08:26:09 -0400

Changed in swift (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zvmcloudconnector - 2.0.0~b1~git2019062011.4fc9142.really.1.4.1-0ubuntu3

---------------
zvmcloudconnector (2.0.0~b1~git2019062011.4fc9142.really.1.4.1-0ubuntu3) focal; urgency=medium

  * d/zvmcloudconnector-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).
  * d/rules, d/compat, d/control: Switch to debhelper compat level 12 and pybuild.

 -- Corey Bryant <email address hidden> Fri, 27 Mar 2020 14:16:07 -0400

Changed in zvmcloudconnector (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 2:16.0.0~b3~git2020032414.a0c0a9e23-0ubuntu1

---------------
cinder (2:16.0.0~b3~git2020032414.a0c0a9e23-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/cinder-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <email address hidden> Tue, 24 Mar 2020 14:47:42 -0400

Changed in cinder (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 2:20.0.0~b3~git2020032414.30ece7aa-0ubuntu2

---------------
glance (2:20.0.0~b3~git2020032414.30ece7aa-0ubuntu2) focal; urgency=medium

  * d/tests/test-shebang.py: Dropped. No longer used.
  * d/p/monkey-patch-original-current-thread-active.patch: Cherry-picked from
    https://review.opendev.org/#/c/716058/. This fixes glance service failures
    that autopkgtests are hitting with Python 3.8 (LP: #1863021).

 -- Corey Bryant <email address hidden> Mon, 30 Mar 2020 14:41:49 -0400

Changed in glance (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octavia - 6.0.0~b3~git2020032609.73fca169-0ubuntu1

---------------
octavia (6.0.0~b3~git2020032609.73fca169-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/octavia-common.postinst: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).
  * d/rules: Blacklist failing unit tests due to odd Mock behaviour
    under Python 3.8.

 -- James Page <email address hidden> Tue, 31 Mar 2020 13:14:50 +0100

Changed in octavia (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package murano-agent - 1:5.0.0~b1~git2019121815.2b2cc45-0ubuntu5

---------------
murano-agent (1:5.0.0~b1~git2019121815.2b2cc45-0ubuntu5) focal; urgency=medium

  * d/murano-agent.logrotate, d/murano-agent.init.in: Switch from /var/log/murano
    to /var/log/murano-agent.

 -- Corey Bryant <email address hidden> Wed, 01 Apr 2020 16:50:10 -0400

Changed in murano-agent (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ironic-inspector - 1:10.0.1~git2020032711.4eefb42-0ubuntu1

---------------
ironic-inspector (1:10.0.1~git2020032711.4eefb42-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/ironic-inspector-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <email address hidden> Fri, 27 Mar 2020 11:29:18 -0400

Changed in ironic-inspector (Ubuntu):
status: Triaged → Fix Released
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 2:21.0.0~b3~git2020041013.57ff308d6d-0ubuntu2

---------------
nova (2:21.0.0~b3~git2020041013.57ff308d6d-0ubuntu2) focal; urgency=medium

  * d/tests/nova-daemons: Skip validation that nova-scheduler is
    running; this serivce requires configuration of both keystone and
    the placement service which is beyond the scope of a single unit
    autopkgtest.
  * d/tests/control: Install nova-spiceproxy instead of nova-novncproxy
    during testing as SPICE is the console option supported in Ubuntu
    main.

 -- James Page <email address hidden> Fri, 17 Apr 2020 09:48:19 +0100

Changed in nova (Ubuntu):
status: Triaged → Fix Released
tags: added: verification-done verification-done-focal
Changed in placement (Ubuntu Focal):
status: New → Fix Committed
no longer affects: aodh (Ubuntu Focal)
no longer affects: barbican (Ubuntu Focal)
no longer affects: cinder (Ubuntu Focal)
no longer affects: glance (Ubuntu Focal)
no longer affects: designate (Ubuntu Focal)
no longer affects: gnocchi (Ubuntu Focal)
no longer affects: heat (Ubuntu Focal)
no longer affects: ironic (Ubuntu Focal)
no longer affects: ironic-inspector (Ubuntu Focal)
no longer affects: keystone (Ubuntu Focal)
no longer affects: magnum (Ubuntu Focal)
no longer affects: manila (Ubuntu Focal)
no longer affects: masakari (Ubuntu Focal)
no longer affects: masakari-monitors (Ubuntu Focal)
no longer affects: mistral (Ubuntu Focal)
no longer affects: murano-agent (Ubuntu Focal)
no longer affects: murano (Ubuntu Focal)
no longer affects: neutron (Ubuntu Focal)
no longer affects: nova (Ubuntu Focal)
no longer affects: octavia (Ubuntu Focal)
no longer affects: openstack-trove (Ubuntu Focal)
no longer affects: python-glance-store (Ubuntu Focal)
no longer affects: senlin (Ubuntu Focal)
no longer affects: swift (Ubuntu Focal)
no longer affects: sahara (Ubuntu Focal)
no longer affects: watcher (Ubuntu Focal)
no longer affects: zaqar (Ubuntu Focal)
no longer affects: zvmcloudconnector (Ubuntu Focal)
Corey Bryant (corey.bryant) wrote :

autopkgtests are passing on the latest version uploaded to focal-proposed, which serves as verification that this bug is fixed: http://autopkgtest.ubuntu.com/packages/p/panko/focal/amd64

Corey Bryant (corey.bryant) wrote :

for panko ^

description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers